Bug 440373 - Review Request: smc-fonts - malayalam opentype fonts
Review Request: smc-fonts - malayalam opentype fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 02:35 EDT by Pravin Satpute
Modified: 2008-04-29 01:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 01:55:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
b.rahul.pm: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pravin Satpute 2008-04-03 02:35:26 EDT
Spec URL: http://pravins.fedorapeople.org/smc-fonts/smc-fonts.spec
SRPM URL: http://pravins.fedorapeople.org/smc-fonts/smc-fonts-04-1.fc9.src.rpm
Description: The smc-fonts package contains fonts for the display of malayalam Scripts.
Comment 1 Pravin Satpute 2008-04-03 02:37:42 EDT
All subpackages owning /usr/share/fonts/smc-fonts folder since these all fonts
are for malayalam script only and no need different folder for each subpackage
Comment 2 Rahul Bhalerao 2008-04-03 08:13:48 EDT
1.The variable name for font directory is better be used as fontdir instead of 
xfontdir. 
2. "%{_datadir}/fonts" should not be defined as fontdir, since 
%{_datadir}/fonts/smc-fonts is anyway being used as a common font directory for
all packages, it should be the fontdir. Another problem with this is, the
fc-cache in %post section is being run on %{_datadir}/fonts, resulting caching
of all the fonts in /usr/share/fonts. Thus take care that the fc-cache runs on
the intended directory only.
3. 'Source' should have been the direct download link  to the  upstream archive.
4. 'URL' should point to the projects homepage. In this case the savanna
homepage for the smc project should be ok.
5. The installed font directory should have proper permissions defined as per
given in the Font SIG's spec template.
http://fedoraproject.org/wiki/SIGs/Fonts/Packaging/SpecTemplate
Comment 3 Pravin Satpute 2008-04-03 09:34:17 EDT
done the changes as suggested :)
please see the updated files
Comment 4 Rahul Bhalerao 2008-04-03 18:40:05 EDT
Please update the release number as well and give the links for updated files.
Comment 5 Jason Tibbitts 2008-04-03 19:05:04 EDT
Rahul, if you're reviewing this, please set the fedora-cvs flag to '?'.
Comment 6 Pravin Satpute 2008-04-04 01:29:20 EDT
updated release number

links for updated files 
http://pravins.fedorapeople.org/smc-fonts/smc-fonts-04-2.fc9.src.rpm
http://pravins.fedorapeople.org/smc-fonts/smc-fonts.spec
Comment 7 Jens Petersen 2008-04-09 02:08:41 EDT
A few comments:

Please use a capital M for the English name Malayalam in the spec file
in various places: ie s/malayalam/Malayalam/ where it makes sense.

%fontdir should just be %{_datadir}/fonts/%{fontname}.

%defattr(-,root,root,-) should come right after %files.
Comment 8 Pravin Satpute 2008-04-10 03:11:58 EDT
thanks jensp for comments

modified spec file as per suggestions

links for updates files:


http://pravins.fedorapeople.org/smc-fonts/smc-fonts-04-3.fc9.src.rpm
http://pravins.fedorapeople.org/smc-fonts/smc-fonts.spec
Comment 9 Jens Petersen 2008-04-14 01:38:29 EDT
Thanks.

The install directory should be just %fontsdir:
ie please remove the "-fonts" suffix from the dir
in %install and %files.
Comment 10 Jens Petersen 2008-04-14 01:40:01 EDT
Well the version number is a little funny:
dunno if they really mean 0.4, but maybe it is ok.
Comment 11 Rahul Bhalerao 2008-04-14 02:08:19 EDT
Putting a comment about the shared dir in the spec file would be good.
Comment 12 Pravin Satpute 2008-04-14 02:52:00 EDT
done the modification as per suggestions
see the changelog for modifications

link for updated files
http://pravins.fedorapeople.org/smc-fonts/smc-fonts.spec
http://pravins.fedorapeople.org/smc-fonts/smc-fonts-04-4.fc9.src.rpm
Comment 13 Rahul Bhalerao 2008-04-14 10:02:15 EDT
Review:
+ scratch build in koji works fine
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a88a77e6b22ac077c729234c15671908  malayalam-fonts-04.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ font is open source-compatible.
+ License text is included in package.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.

APPROVED
Comment 14 Rahul Bhalerao 2008-04-14 10:04:05 EDT
Pravin, you may continue with the CVSAdmin procedure now.
Comment 15 Pravin Satpute 2008-04-15 00:16:57 EDT
New Package CVS Request
=======================
Package Name: smc-fonts
Short Description: Open Type Fonts for Malayalam script
Owners: pravins
Branches: F-9
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 16 Jens Petersen 2008-04-15 00:33:23 EDT
I suggest simplifying the spec file with the replacement
s/-n %{fontname}-fonts-//g before importing to cvs.
Comment 18 Jens Petersen 2008-04-15 01:03:14 EDT
cvs admin done

Note You need to log in before you can comment on or make changes to this bug.